arch linux & manjaro 에서 한컴뷰어 설치

gadian88·2020년 8월 16일
0

Created: 2019년 10월 2일 오전 1:38
Tags: Manjaro

개요

참고: 아치리눅스 한국사용자 모임 - 한컴뷰어2014 부탁 좀 드려요.. 최근에 기존에 설치되었던 우분투를 지우고 만자로 리눅스를 설치했다. apt 패키지 매니저 대신 pacman 패키지를 사용하는거 제외하고는 우분투쓰는 느낌이고 업데이트 나오는 시기가 빠르다고 하는데 아직은 모르겠다. 하지만 한컴뷰어를 설치하고자 했지만 유감스럽게도 Fedora 와 Ubuntu 만 제공하고 있어 아치리눅스 기반이 만자로에서는 설치가 제한이 된다. 그러면 한컴뷰어 설치를 포기햐야 하는가? 정답은 그렇지 않다 이다. 다행히 deb 패키지를 arch linux 패키지로 변환이 가능하다.

설치

  1. dabtap 설치
❯ pamac install debtap
  1. 한컴 뷰어 다운로드
  2. deb -> pkg.tar.xz 파일로 변환
debtap hancomoffice-hwpviewer-Ubuntu-amd64.deb
  1. 한컴뷰어 설치
sudo pacman -U ./hancomoffice-hwpviewer-9.20.0.1573-1-x86_64.pkg.tar.xz

그런데 webkitgtk 의존성 문제가 발생했다. webkitgtk 을 설치하는데 확인해보니 AUR 로 설치해야 해서 yaourt 로 진행한다.

  1. webkitgtk 설치
pamac install webkitgtk

설치는 되는거 같은데 .. 소스코드가 많아서 그런지 반나절이 지나도 빌드가 끝나지 않는다. 설치파일을 받아서 진행을 한다.

  • 없으면 https://cdn.repo.archlinuxcn.org/x86_64/ 에서 webkitgtk 을 찾기 바란다.

    wget wget https://cdn.repo.archlinuxcn.org/x86_64/webkitgtk-3%3A2.4.11-19-x86_64.pkg.tar.zst
    sudo pacman -U ./webkitgtk-3_2.4.11-16-x86_64.pkg.tar.xz

다시 3번을 진행하니 설치가 진행이 된다. 그런데 이제는 실행이 안되고 콘솔에서 hwpviewer 을 실행하니 다음에러가 발생했다.

hwpviewer: error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory

확인해보니 내컴퓨터에서 설치된 icu 패키지 버젼은 64 이고 한컴뷰어에서 요구하는 icu 패키지 버젼이 63인거 같다. 하지만 pacman 에서는 icu 64 로만 설치가된다. AUR 로 설치하자

  1. icu63 설치
pamac install icu63

다행히 빌드하는데 오래걸리지는 않았다.

  1. 한컴뷰어 실행
hwpviewer

이제야 실행이 된다

후기

  1. 설치하면서 기존의 pacman 도 좋지만 대부분 AUR 을 이용해야만 설치가 진행이 되었다.

  2. 해당 패키지는 2017년도에 개발되었고 그이후에는 업데이트가 없어서 ubuntu 20 lts 에서조차 정상적으로 설치가 안되어서 편법을 써야만 설치가 되었다.

    • 이전에도 안되서 해당 링크를 통해서 설치한거 같다. https://kldp.org/comment/636871#comment-636871
profile
블로그 이전 중 (https://www.notion.so/My-blog-0d569b9028434fb6a99a3e66b6e807b1)

0개의 댓글